pydo.databases.list_users()

Generated on 8 May 2026 from pydo version v0.34.0

Usage

client.databases.list_users(
    database_cluster_uuid="9cc10173-e9ea-4176-9dbc-a4cee4c4ff30",
)
Returns JSONRaises HttpResponseError

Description

To list all of the users for your database cluster, send a GET request to /v2/databases/{database_cluster_uuid}/users.

Note: User management is not supported for Caching or Valkey clusters.

The result will be a JSON object with a users key. This will be set to an array of database user objects, each of which will contain the standard database user attributes. User passwords will not show without the database:view_credentials scope.

For MySQL clusters, additional options will be contained in the mysql_settings object.

For MongoDB clusters, additional information will be contained in the mongo_user_settings object

Parameters

database_cluster_uuid string required

A unique identifier for a database cluster.

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

get_resp = client.databases.list_users(database_cluster_uuid="a7aba3")

Response Example

Show Response Example
{
  "users": [
    {
      "name": "app-01",
      "role": "normal",
      "password": "jge5lfxtzhx42iff"
    },
    {
      "name": "doadmin",
      "role": "primary",
      "password": "wv78n3zpz42xezd"
    }
  ]
}

More Information

See /v2/databases/{database_cluster_uuid}/users in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.